Skip to main content
`Ctrl`+`K`

# bull_graph

bull_graph(create_using=None)

  Returns the Bull Graph

  The Bull Graph has 5 nodes and 5 edges. It is a planar undirected graph in the form of a triangle with two disjoint pendant edges [1] The name comes from the triangle and pendant edges representing respectively the body and legs of a bull.

  Parameters:
    create_using NetworkX graph constructor, optional (default=nx.Graph)

      Graph type to create. If graph instance, then cleared before populated.

  Returns:
    G networkx Graph

      A bull graph with 5 nodes

  References

  [1]

  https://en.wikipedia.org/wiki/Bull_graph.